%{?drupal7_find_provides_and_requires}

%global module_name webform
%global prerelease beta3

Name:          drupal7-%{module_name}
Version:       4.0
Release:       0.3.%{prerelease}%{?dist}
Summary:       Webform is the module for making surveys in Drupal

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}-%{prerelease}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7-ctools
Requires:      drupal7-views
Requires:      php(language) >= 5.3
Requires:      php-date
Requires:      php-mbstring
Requires:      php-pcre
Requires:      php-pdo
Requires:      php-session



%description
Webform is the module for making surveys in Drupal.
After a submission, users may be sent an e-mail "receipt"
as well as sending a notification to administrators.
Results can be exported into Excel or other spreadsheet applications.

Webform also provides some basic statistical review
and has and extensive API for expanding its features.

This package provides the following Drupal module:
* %{module_name}


%prep
%setup -q -n %{module_name}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
mkdir -p -m 0755 %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean


%files
%doc *.txt
%{drupal7_modules}/%{module_name}
%exclude %{drupal7_modules}/%{module_name}/*.txt


%changelog
* Fri Mar 14 2014 Peter Borsa <peter.borsa@gmail.com> 4.0-0.2.beta3
- Update to 4.0-beta3
- Release notes can be found at https://drupal.org/node/2196069

* Fri Feb 28 2014 Peter Borsa <peter.borsa@gmail.com> 4.0-0.2.beta1
- Remove php-pecl(zip) dependency

* Sat Jan 11 2014 Peter Borsa <peter.borsa@gmail.com> 4.0-0.1.beta1
- Initial package
